#ifndef __BadFrames__
#define __BadFrames__

#include "avisynth.h"

#define GOODFRAME 0
#define BADFRAME 1
#define NEWSCENEFRAME 2

class BadFrames : public GenericVideoFilter {
private:
	bool blend;
	BYTE * AllFrames;
	int nFrames;
	const char *filename;  // filename of input file

public:
	BadFrames(PClip _child, AVSValue frames, bool _blend, const char *_filename, IScriptEnvironment* env);
   ~BadFrames();

	PVideoFrame __stdcall GetFrame(int n, IScriptEnvironment* env);
};

#endif
